Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction
Class Constants

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.Constants

public class Constants
extends java.lang.Object

Id: Constants.java,v 1.0
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: Constants
Original Author: s.Gaudin
this class regroup all constants of CStockage channel

Field Summary
`static java.lang.String` | `CONFIRM_DELETE_MODE` Mod which ask user to confirm the download
`static java.lang.String` | `CONFIRM_PASTE_MODE` Confirm the paste mod
`static java.lang.String` | `COPY_MODE` Copy mod
`static java.lang.String` | `CREATE_DIR_MODE` Mod which create a directory
`static java.lang.String` | `DELETE_MODE` Delete mod
`static java.lang.String` | `DIRECTORY_BACK` Mod to go to the parent directory
`static java.lang.String` | `DOWNLOAD_MODE` Download mod
`static java.lang.String` | `MANAGE_SHARED_SPACES` Manage the shared spaces
`static java.lang.String` | `MOVE_MODE` Move mod
`static java.lang.String` | `PASSWORD_MODE` Mod to go to the parent directory
`static java.lang.String` | `PASTE_MODE` Paste mod
`static java.lang.String` | `RENAME_MODE` Rename mod
`static java.lang.String` | `SET_CLIPBOARD_FOR_COPY_MODE` Mod which set the clipboard for a next copy action
`static java.lang.String` | `SET_CLIPBOARD_FOR_MOVE_MODE` Mod which set the clipboard for a next move action
`static java.lang.String` | `SET_FILE_TO_UPLOAD_MODE` Mod which prepare the upload mod
`static java.lang.String` | `SET_NAME_FOR_CREATE_DIR_MODE` Mod which create inteface to set the new directory name
`static java.lang.String` | `SET_NAME_FOR_RENAME_MODE` Mod which create inteface to set the new name of a directory/file
`static java.lang.String` | `SHOW_CURRENT_DIR_MODE` Mod which display the current directory
`static java.lang.String` | `UPLOAD_MODE` Upload mod
`static java.lang.String` | `VALID_SERVANT_RESULTS` Valid the servant channel results

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHOW_CURRENT_DIR_MODE

    public static final java.lang.String SHOW_CURRENT_DIR_MODE

  Mod which display the current directory

  See Also:
    Constant Field Values

### SET_FILE_TO_UPLOAD_MODE

    public static final java.lang.String SET_FILE_TO_UPLOAD_MODE

  Mod which prepare the upload mod

  See Also:
    Constant Field Values

### UPLOAD_MODE

    public static final java.lang.String UPLOAD_MODE

  Upload mod

  See Also:
    Constant Field Values

### CONFIRM_DELETE_MODE

    public static final java.lang.String CONFIRM_DELETE_MODE

  Mod which ask user to confirm the download

  See Also:
    Constant Field Values

### DELETE_MODE

    public static final java.lang.String DELETE_MODE

  Delete mod

  See Also:
    Constant Field Values

### SET_NAME_FOR_CREATE_DIR_MODE

    public static final java.lang.String SET_NAME_FOR_CREATE_DIR_MODE

  Mod which create inteface to set the new directory name

  See Also:
    Constant Field Values

### CREATE_DIR_MODE

    public static final java.lang.String CREATE_DIR_MODE

  Mod which create a directory

  See Also:
    Constant Field Values

### SET_CLIPBOARD_FOR_COPY_MODE

    public static final java.lang.String SET_CLIPBOARD_FOR_COPY_MODE

  Mod which set the clipboard for a next copy action

  See Also:
    Constant Field Values

### SET_CLIPBOARD_FOR_MOVE_MODE

    public static final java.lang.String SET_CLIPBOARD_FOR_MOVE_MODE

  Mod which set the clipboard for a next move action

  See Also:
    Constant Field Values

### PASTE_MODE

    public static final java.lang.String PASTE_MODE

  Paste mod

  See Also:
    Constant Field Values

### CONFIRM_PASTE_MODE

    public static final java.lang.String CONFIRM_PASTE_MODE

  Confirm the paste mod

  See Also:
    Constant Field Values

### COPY_MODE

    public static final java.lang.String COPY_MODE

  Copy mod

  See Also:
    Constant Field Values

### MOVE_MODE

    public static final java.lang.String MOVE_MODE

  Move mod

  See Also:
    Constant Field Values

### SET_NAME_FOR_RENAME_MODE

    public static final java.lang.String SET_NAME_FOR_RENAME_MODE

  Mod which create inteface to set the new name of a directory/file

  See Also:
    Constant Field Values

### RENAME_MODE

    public static final java.lang.String RENAME_MODE

  Rename mod

  See Also:
    Constant Field Values

### DOWNLOAD_MODE

    public static final java.lang.String DOWNLOAD_MODE

  Download mod

  See Also:
    Constant Field Values

### DIRECTORY_BACK

    public static final java.lang.String DIRECTORY_BACK

  Mod to go to the parent directory

  See Also:
    Constant Field Values

### PASSWORD_MODE

    public static final java.lang.String PASSWORD_MODE

  Mod to go to the parent directory

  See Also:
    Constant Field Values

### VALID_SERVANT_RESULTS

    public static final java.lang.String VALID_SERVANT_RESULTS

  Valid the servant channel results

  See Also:
    Constant Field Values

### MANAGE_SHARED_SPACES

    public static final java.lang.String MANAGE_SHARED_SPACES

  Manage the shared spaces

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD